Game servers
GET https://alarm.lt/api/game-servers/
curl --request GET \
--url 'https://alarm.lt/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://alarm.lt/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrai | Details | Description |
|---|---|---|
| search | Neprivaloma Eilutė | Paieškos eilutė. |
| search_by | Neprivaloma Eilutė | Pagal koki lauką ieškote. Leidžiamos reikšmės yra: name , target , port |
| is_enabled | Neprivaloma Logiškas | |
| type | Neprivaloma Eilutė | Leidžiamos reikšmės: minecraft |
| order_by | Neprivaloma Eilutė | Pagal kokią sritį rūšiuoti rezultatus. Leidžiamos reikšmės yra: game_server_id , last_datetime , datetime , last_check_datetime , total_checks , name , uptime , average_response_time , average_online_players , online_players , maximum_online_players. |
| order_type | Neprivaloma Eilutė | Rezultatų rikiavimas. Leidžiamos reikšmės yra: ASC - didėjimo tvarka, ir DESC - mažėjimo tvarka. |
| page | Neprivaloma Sveikasis skaičius | Puslapio numeris, iš kurio norite gauti rezultatus. Numatytasis reikšmė yra 1. |
| results_per_page | Neprivaloma Sveikasis skaičius | Kiek rezultatų norite matyti puslapyje. Leidžiamos reikšmės yra: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Numatytasis variantas yra 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-03-14 22:26:33",
"next_check_datetime": "2026-03-15 22:26:33",
"is_enabled": true,
"datetime": "2026-03-14 22:26:33",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://alarm.lt/api/game-servers?page=1",
"last": "https://alarm.lt/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://alarm.lt/api/game-servers?page=1"
}
}
GET https://alarm.lt/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-03-14 22:26:33",
"next_check_datetime": "2026-03-15 22:26:33",
"is_enabled": true,
"datetime": "2026-03-14 22:26:33",
}
}
POST https://alarm.lt/api/game-servers
| Parametrai | Details | Description |
|---|---|---|
| name | Reikalinga Eilutė | - |
| target | Reikalinga Eilutė | - |
| port | Neprivaloma Eilutė | - |
| type | Neprivaloma Eilutė | Leidžiamos reikšmės: minecraft |
| project_id | Neprivaloma Sveikasis skaičius | - |
| check_interval_seconds | Neprivaloma Sveikasis skaičius | Leidžiamos reikšmės: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (sek.) |
| timeout_seconds | Neprivaloma Sveikasis skaičius | Leidžiamos reikšmės: 1, 2, 3, 5, 10, 25 (sek.) |
| is_enabled | Neprivaloma Logiškas | - |
curl --request POST \
--url 'https://alarm.lt/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://alarm.lt/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://alarm.lt/api/game-servers/{game_server_id}
| Parametrai | Details | Description |
|---|---|---|
| name | Neprivaloma Eilutė | - |
| target | Neprivaloma Eilutė | - |
| port | Neprivaloma Eilutė | - |
| type | Neprivaloma Eilutė | Leidžiamos reikšmės: minecraft |
| project_id | Neprivaloma Sveikasis skaičius | - |
| check_interval_seconds | Neprivaloma Sveikasis skaičius | Leidžiamos reikšmės: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (sek.) |
| timeout_seconds | Neprivaloma Sveikasis skaičius | Leidžiamos reikšmės: 1, 2, 3, 5, 10, 25 (sek.) |
| is_enabled | Neprivaloma Logiškas | - |
curl --request POST \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://alarm.lt/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \